// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "EndlessVendetta/GadgetSystem/ReconGadget.h"
#include "VisionPulse.generated.h"

/**
 * 
 */
UCLASS()
class ENDLESSVENDETTA_API AVisionPulse : public AReconGadget
{
	GENERATED_BODY()

	void Activate() override;

	void FinishedUsing() override;

protected:
	UFUNCTION(BlueprintImplementableEvent)
	void SendOutPulse();

	UFUNCTION(BlueprintImplementableEvent)
	void DisplayCooldown(float CooldownLength);

	
	
};
